<cfcomponent output="false" extends="BaseRESTHandler">
<cfscript>
	// Exception Lists
	this.preHandler_except  = "index";
	this.posthandler_except = "index";
	
	// HTTP Security
	this.allowedMethods = {
		settings = "GET",
		echo 	 = "POST"
	};
	
	function index(event){
		var rc = event.getCollection();
		rc.welcomeMessage = "Welcome to CFUnited Demo";
		event.setView("home");
	}
	
	function invalidAPIKey(event){
		var rc = event.getCollection();
		// Results
		rc.results.error 	 = true;
		rc.results.messages = "The API sent: #event.getValue("APIKey","")# is not valid, request denied.";
		// Headers
		setHeader(403,rc.results.messages);
	}
	
	function invalidEvent(event){
		var rc			 = event.getCollection();
		var invalidEvent = flash.get("invalidEvent","");
		// Setup the results
		rc.results.error	 = true;
		rc.results.messages = "Invalid event detected: #invalidEvent#";
		// Headers
		setHeader(400,rc.results.messages);
	}
	
	function settings(event){
		var rc = event.getCollection();
		
		rc.results.data = controller.getConfigSettings();
	}
	
	function echo(event){
		var rc = event.getCollection();
		var name = event.getValue("name","nobody");
		var messages = [
			"Howdy stranger #name#, how are you!",
			"Hi #name#, how are you today!",
			"Buenos dias #name#, como estas hoy?",
			"What do you want #name#, don't you see I am busy'",
			"what time is it #name#?",
			"Stop bothering me #name#"
		];
		// get random sentence
		rc.results.data = messages[ randRange(1, arrayLen(messages)) ];
	}

</cfscript>
</cfcomponent>