//
//  ColdFusionDemoViewController.h
//  ColdFusionDemo
//
//  Created by Josh Highland on 7/6/10.
//  Copyright __MyCompanyName__ 2010. All rights reserved.
//

#import <UIKit/UIKit.h>

//classes for ASIHTTPRequest
@class ASINetworkQueue;
@class ASIHTTPRequest;
@class ASIFormDataRequest;
@class Reachability;

//class for TouchJSON 
@class CJSONDeserializer;

//prepare a constant for the URL to the API
extern NSString *apiBaseURL;
extern NSString *apiKey;

@interface ColdFusionDemoViewController : UIViewController <UITextFieldDelegate>
{	
    //declair the visual elements that will get modified while running the app   
	IBOutlet UITextField *nameTextField;
	
	IBOutlet UIButton *postButton;
	IBOutlet UIButton *getButton;			
	
	IBOutlet UILabel *resultsLabel;
	
	IBOutlet UITextView *rawResultsTextView;
	
}

//memory management of the items that will be changing
@property (nonatomic, retain) IBOutlet UITextField *nameTextField;
@property (nonatomic, retain) IBOutlet UIButton *postButton;
@property (nonatomic, retain) IBOutlet UIButton *getButton;			
@property (nonatomic, retain) IBOutlet UILabel *resultsLabel;
@property (nonatomic, retain) IBOutlet UITextView *rawResultsTextView;

-(IBAction) sendViaPOST;
-(IBAction) sendViaGET;
-(NSDictionary *) parseJSONString:(NSString *) theJSONString;

-(NSString *) doPOST;
-(NSString *) doGET;
-(void) processResponce:(NSString *) response;

@end

